{% extends 'profile/layouts/admin/admin_layout.html' %}
{% load static %}
{% block css %}

    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/datatables/datatables.min.css' %}">
    <style>
        .img-bagss {
            position: absolute;
            top: 0;
            background-color: rgba(255, 0, 0, 0.8);
            text-align: center;
            font-weight: 500;
            line-height: 16px;
            padding: 5px 10px;
            color: #FFFFFF;
            border-radius: 5px 5px 5px 0;
        }
        .img-bagss .tag-bln { font-size: 15px; }

        .tdx{
            max-width: 400px;
            word-wrap: break-word;
            
        }
       
    </style>

{% endblock css %}


{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Data Kominfo</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}
    <div class="d-flex">
        <div class="flex-fill"> 
            <a href="{% url 'profile:admin_kominfo_create' %}"> 
                <button type="button" class="btn btn-info mt-2 mb-4"><i class="bi bi-plus"></i> Tambah Kominfo</button>
            </a>
        </div>
        <div class="flex-fill-right">
            <button type="button"  class="btn btn-danger mt-2 mb-4" data-toggle="modal" data-target="#arsip_datakominfo"><i class="bi bi-trash"></i> Data Diarsipkan</button>
        </div>
    </div>     
   
    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between bg-gradient-primary">
            <h6 class="m-0 font-weight-bold text-white"><i class="fa fa-list"></i> Data Kominfo</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-striped table-bordered dt-responsive" id="table-list">
                <thead class="bg-primary text-white">
                    <tr>
                        <th scope="col" class="text-center">No</th>
                        <td>Wilayah</td>
                        <td>Tanggal Input</td>
                        <td>Jumlah BTS</td>
                        <td>Jumlah Visat Kominfo Bhakti</td>
                        <td>Akses internet oleh masyarakat (%)</td>
                        <td>Bukti Foto</td>
                        <th scope="col" class="text-center">Aksi</th>
                    </tr>
                </thead>
                <tbody>
                    {% for data_kominfo in data_kominfo_list %}
                        <tr>
                                <td>{{forloop.counter}}</td>
                                <td class="tdx">{{data_kominfo.kampung.distrik.title}}-{{data_kominfo.kampung.titles}} </td>
                                <td>{{data_kominfo.create_date}} </td>
                                <td>{{data_kominfo.jml_bts}} Unit </td>
                                <td>{{data_kominfo.jml_vsat}} Unit </td>
                                <td>{{data_kominfo.akses_internet}} %</td>
                                <td><img src="{{data_kominfo.foto.url}}" width="100"> </td>
                                <td>
                                    <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-2">
                                        <a class="btn btn-success btn-circle mr-3 mb-2" 
                                            href="#"
                                            data-toggle="tooltip" data-placement="top" title="Edit">
                                            <i class="bi bi-pencil"></i>
                                        </a>
                                        <a href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                        onclick="delete_('soft_delete', `{{ data_kominfo.jml_bts }}`, '{{ data_kominfo.id }}')"
                                        data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                            <i class="bi bi-archive"></i>
                                        </a>
                                    </div>
                                </td>
                        </tr>
                   {% endfor %}
                </tbody>
            </table>
        </div>
    </div>

    {% include 'profile/admin/kominfo/arsip.html' %}
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script src="{% static 'admin/js/datatables/datatables.min.js' %}"></script>
    <script>
        $('#arsip_datakominfo').on('shown.bs.modal', function () {
        $('#arsip_datakominfo').trigger('focus')
        })
        $(document).ready( function () {
            $('[data-tooltip="tooltip"]').tooltip();
            $('#table-list').DataTable();
            $('#table-archive').DataTable();
           
        });
        function restore_(nama, id){
                Swal.fire({
                    title: `Apakah anda yakin ingin memulihkan file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: 'Pulihkan',
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/kominfo/restore/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                    onOpen: () => {
                                        swal.showLoading();
                                    }
                                });
                            },
                            success: function(response){
                                Swal.fire(`Distrik berhasil dipulihkan!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/kominfo/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Distrik gagal dipulihkan!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
            function delete_(action, nama, id){
                let pesan = action == 'soft_delete' ? "arsipkan" : "hapus";
                let confirmation = action == 'soft_delete' ? "Arsipkan" : "Hapus";
                Swal.fire({
                    title: `Apakah kamu yakin ingin meng${pesan} data ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: confirmation,
                    cancelButtonText: 'Batal',
                    
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/kominfo/${action}/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                });
                                Swal.showLoading();
                            },
                            success: function(response){
                                Swal.fire(`Data Diarsipkan berhasil di${pesan}!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/kominfo/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Data Diarsipkan gagal di${pesan}!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
    </script>
{% endblock scripts_bawah %}